# Copyright (c) 2018 Daniel Knüttel                                    #
#                                                                      #
# This file is part of mathbot.                                        #
#                                                                      #
# mathbot is free software: you can redistribute it and/or modify      #
# it under the terms of the GNU General Public License as published by #
# the Free Software Foundation, either version 3 of the License, or    #
# (at your option) any later version.                                  #
#                                                                      #
# mathbot is distributed in the hope that it will be useful,           #
# but WITHOUT ANY WARRANTY; without even the implied warranty of       #
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        #
# GNU General Public License for more details.                         #
#                                                                      #
# You should have received a copy of the GNU General Public License    #
# along with mathbot.  If not, see <http://www.gnu.org/licenses/>.     #
#                                                                      #


_help_text = '''
**RMathBot** -- render LaTeX math commands

Usage:

- `/help` print this help message and exit
- `/rmath LATEX` render __LATEX__ and return the resulting PNG with the input text
- `/rcmath <CAPTION> LATEX` render __LATEX__ and return the resulting PNG with the input text
  and caption __CAPTION__
- `/rsmath LATEX` render __LATEX__ after substituting `/` -> `\\`.
- `/rscmath <CAPTION> LATEX` like `/rcmath` after substituting `/` -> `\\` in __LATEX__.

Source: [gitea repository](https://daknuett.eu/gitea/daknuett/telegram-mathbot)

'''

class StaticContent(object):
	def __init__(self):
		self.help_text = _help_text

static_content = StaticContent()
